{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>

    <style>
        .navbar {
            background-color: var(--primaryColor) !important;
            border-radius: 0 0 30px 30px;
        }

        .navbar a {
            color: white !important;
        }
    </style>
{% endblock %}

{% block body %}

    {% set dataKelas = [
        {"namaKelas" : "Kelas 10 SMA"},
        {"namaKelas" : "Kelas 11 SMA"},
        {"namaKelas" : "Kelas 12 SMA"},
        {"namaKelas" : "Kelas 13 SMA"},
        {"namaKelas" : "Kelas 14 SMA"},
    ] %}

    {% embed 'siswa/bottomNavBar.html.twig' %}

        {% set state = 4 %}

    {% endembed %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Buku Rapor
        {% endblock %}

        {% block menuBar %}

            <i class="mdi mdi-history text-white f16 d-block"></i>
            <div class="w-100 mt-3 pb-2">
                <nav>
                    <div class="nav w-100 d-flex" id="nav-tab" role="tablist">
                        <a class="nav-item nav-link active text-center d-block flex-grow-1 tab-pils-reverse"
                           id="nav-home-tab"
                           data-toggle="tab" href="#rapor" role="tab" aria-controls="rapor"
                           aria-selected="true">Rapor</a>
                        <a class="nav-item nav-link flex-grow-1 tab-pils-reverse d-block" id="nav-profile-tab"
                           data-toggle="tab"
                           href="#quiz" role="tab" aria-controls="quiz" aria-selected="false">Quiz</a>
                        <a class="nav-item nav-link flex-grow-1 tab-pils-reverse d-block" id="nav-profile-tab"
                           data-toggle="tab"
                           href="#tryout" role="tab" aria-controls="tryout" aria-selected="false">Tryout</a>
                    </div>
                </nav>
            </div>
        {% endblock %}
    {% endembed %}

    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active" id="rapor" role="tabpanel"
             aria-labelledby="rapor-tab">
            <section class="mt-3 container-fluid">

                <div class="scrolling-wrapper">
                    {% for i in 0..dataKelas|length - 1 %}
                        <div style="border: none !important;" class="items mr-2">
                            <input class="checkbox-jam" type="radio" name="kelas" id="{{ dataKelas[i].namaKelas }}"
                                   value="{{ dataKelas[i].namaKelas }}" {% if(i == 0) %} checked {% endif %}>
                            <label class="for-checkbox-jam w-100 m-0" style="height: 2.2em; padding: 0.4em 0.8em"
                                   for="{{ dataKelas[i].namaKelas }}">
                                <p class="mb-0 f08">{{ dataKelas[i].namaKelas }}</p>
                            </label>
                        </div>
                    {% endfor %}
                </div>
                <p class="font-weight-bold f12 mt-5 mb-1">Level</p>
                <div class="d-flex justify-content-between w-100">
                    <p class="mb-0 f08 text-black-50">Level 5</p>
                    <p class="mb-0 f08 text-black-50">500/1000 Xp</p>
                </div>
                <div class="progress mb-3" style="height: 0.2em; ">
                    <div class="progress-bar" role="progressbar" style="width: 25%;" aria-valuenow="25"
                         aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <p class="font-weight-bold f12 mt-5 mb-1">Aktivitas</p>

                <div class="d-flex justify-content-center flex-wrap">
                    <div class="gen-card m-2 p-2" style="width: 45%">
                        <i class="mdi mdi-access-time f12 text-primary d-block mb-2"></i>
                        <p class="mb-0 text-center font-weight-bold">Waktu Belajar</p>
                        <p class="mb-0 text-center f16">0</p>
                        <p class="mb-0 text-center text-black-50">Menit</p>
                    </div>

                    <div class="gen-card m-2 p-2" style="width: 45%">
                        <i class="mdi mdi-assignment f12 text-primary d-block mb-2"></i>
                        <p class="mb-0 text-center font-weight-bold">Konsul</p>
                        <p class="mb-0 text-center f16">0</p>
                        <p class="mb-0 text-center text-black-50">Pertanyaan</p>
                    </div>

                    <div class="gen-card m-2 p-2" style="width: 45%">
                        <img src="{{ asset('images/common/icons/medal.png') }}" style="height: 1.2rem">
                        <p class="mb-0 text-center font-weight-bold">Teman Medal</p>
                        <p class="mb-0 text-center f16">0</p>
                        <p class="mb-0 text-center text-black-50">Medal</p>
                    </div>

                    <div class="gen-card m-2 p-2" style="width: 45%">
                        <img src="{{ asset('images/common/icons/coin.png') }}" style="height: 1.2rem">
                        <p class="mb-0 text-center font-weight-bold">Teman Coin</p>
                        <p class="mb-0 text-center f16">0</p>
                        <p class="mb-0 text-center text-black-50">Coin</p>
                    </div>
                </div>

            </section>

        </div>

        <div class="tab-pane fade " id="quiz" role="tabpanel"
             aria-labelledby="quiz-tab">

            <section class="mt-3 container-fluid">
                <p class="font-weight-bold f14 mt-5 mb-3">Nilai Rata-Rata Quiz</p>

                <a class="d-block t-black " href="">
                    <div class="gen-card p-3">
                        <div class="d-flex justify-content-between align-items-center  mb-3">
                            <div class="d-flex align-items-center">
                                <i class="mdi mdi-access-time f16 text-primary d-block mr-3"></i>
                                <p class="mb-0 font-weight-bold">Fisika</p>
                            </div>
                            <div class="d-flex align-items-center ">
                                <p class="mb-0 font-weight-bold " data-color="70">70</p>
                                <i class="mdi mdi-chevron-right f16"></i>
                            </div>
                        </div>
                        <div class="progress mb-1" style="height: 0.2em; ">
                            <div class="progress-bar " role="progressbar" data-color="70"></div>
                        </div>
                    </div>
                </a>

            </section>
        </div>

        <div class="tab-pane fade " id="tryout" role="tabpanel"
             aria-labelledby="tryout-tab">

            <section class="mt-3 container-fluid">
                <p class="f12 font-weight-bold text-left mt-3">Perkembangan Tryout</p>

                <canvas id="myChart" class="w-100 mb-5" style="height: 20em"></canvas>

                <p class="f12 font-weight-bold text-left mt-3">Hasil Penilaian Tryout</p>

                <div id="resultContent">
                    <div class="alert alert-warning">Mengambil data....</div>
                </div>

            </section>
        </div>
    </div>



    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}


    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script src="{{ asset('vendor/chart/Chart.min.js') }}"></script>

    <script>
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                initialSlide: 2,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 2
                        }
                    }
                ]
            });
        });
    </script>

    <script>
        function fetchTryOutResult(data) {
            if (data.length < 1) {
                $("#resultContent").html('<div class="alert alert-success">Belum ada riwayat</div>');
            } else {
                let html = '';
                var uri = "{{ path('nilaiDetail', {tryout : 'zen'}) }}";
                data.map(function (single, key) {
                    let uriRank = uri;
                    uriRank = uriRank.replace("zen", single[0]['registration']['id']);
                    html += '                <div class="gen-card p-3">\n' +
                        '                    <p>' + single[0]['registration']['tryOut']['title'] + '</p>\n' +
                        '                    <div class="d-flex align-items-center mb-2">\n' +
                        '                        <i class="mdi mdi-check-circle text-success f16 mr-1"></i>\n' +
                        '                        <p class="mb-0 mr-3">' + single['numberOfCorrect'] + '</p>\n' +
                        '\n' +
                        '                        <i class="mdi mdi-cancel text-danger f16 mr-1"></i>\n' +
                        '                        <p class="mb-0 mr-3">' + single['numberOfWrong'] + '</p>\n' +
                        '\n' +
                        '                        <i class="mdi mdi-do-not-disturb-on text-black-50 f16 mr-1"></i>\n' +
                        '                        <p class="mb-0 mr-3">' + ((parseInt(single['finalQuizNumber'])) - (parseInt(single['numberOfCorrect']) + parseInt(single['numberOfWrong']))) + '</p>\n' +
                        '                    </div>\n' +
                        '                    <p class="text-black-50 mb-1">Jumlah Soal : <b>' + single['finalQuizNumber'] + '</b></p>\n' +
                        '                    <p class="text-black-50">Waktu Mengerjakan : <b>' + single['durationWork'] + '</b></p>\n' +
                        '                    <hr>\n' +
                        '                    <div class="mt-3 d-flex align-items-center justify-content-between">\n' +
                        '                        <p>Nilai <span class="text-success f14 font-weight-bold ml-1">' +(!single[0]['registration']['tryOut']['irtChecked'] && single[0]['registration']['tryOut']['isIRT'] ? "Menunggu hasil" : (parseInt(single['finalScore']) / parseInt(single['finalQuizNumber'])).toFixed(2) ) + '</span></p>\n' +
                        '                        <a href="'+ uriRank +'" class="bt-primary f10" style="padding: 0.3em 1em">Lihat Peringkat</a>\n' +
                        '                    </div>\n' +
                        '                </div>';
                });
                $("#resultContent").html(html);
            }
        }

        function fetchChart(data) {
            let labels = [];
            let charrValue = [];
            data.map(function (s) {
                labels.push(s['startedAt']);
                charrValue.push(s['finalScore']);
            });
            var ctx = document.getElementById('myChart').getContext('2d');
            var myChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: labels,
                    datasets: [{
                        label: 'Nilai',
                        data: charrValue,
                        pointRadius: 5,
                        pointBackgroundColor: '#1DA1F2',
                        backgroundColor: [
                            '#1DA1F222'
                        ],
                        borderColor: [
                            '#E1F5FE'
                        ],
                        borderWidth: 1,
                        max: 100
                    }]
                },
                options: {
                    scales: {
                        yAxes: [{
                            ticks: {
                                beginAtZero: true,
                                max: 100,
                                stepSize: 25
                            }
                        }]
                    }
                }
            });
        }
    </script>

    {{ f.ajaxCall("fetchTryOutResult", path("result-tryout-api"), "GET") }}
    {{ f.ajaxCall("fetchChart", path("chart-tryout-api"), "GET") }}

{% endblock %}